gtkmm: Gtk::ScrollInfo Class Reference

gtkmm 4.13.3

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::ScrollInfo Class Referencefinal

Provides more accurate data on how a scroll operation should be performed. More...

`#include <gtkmm/scrollinfo.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GtkScrollInfo * | gobj ()
| Provides access to the underlying C instance. More...
const GtkScrollInfo * | gobj () const
| Provides access to the underlying C instance. More...
GtkScrollInfo * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ScrollInfo ()=delete
| ScrollInfo (const ScrollInfo &)=delete
ScrollInfo & | operator= (const ScrollInfo &)=delete
void | set_enable_horizontal (bool horizontal=true)
| Turns horizontal scrolling on or off. More...
bool | get_enable_horizontal () const
| Checks if horizontal scrolling is enabled. More...
void | set_enable_vertical (bool vertical=true)
| Turns vertical scrolling on or off. More...
bool | get_enable_vertical () const
| Checks if vertical scrolling is enabled. More...

## Static Public Member Functions
static Glib::RefPtr< ScrollInfo > | create ()
| Creates a new scroll info for scrolling an element into view. More...

## Protected Member Functions
void | operator delete (void *, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::ScrollInfo > | wrap (GtkScrollInfo * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Provides more accurate data on how a scroll operation should be performed.

Scrolling functions usually allow passing an empty RefPtr scroll info which will cause the default values to be used and just scroll the element into view.

Since gtkmm 4.12:

## Constructor & Destructor Documentation

## ◆ ScrollInfo() [1/2]

Gtk::ScrollInfo::ScrollInfo | ( |  | ) |
| delete

## ◆ ScrollInfo() [2/2]

Gtk::ScrollInfo::ScrollInfo | ( | const ScrollInfo & |  | ) |
| delete

## Member Function Documentation

## ◆ create()

static Glib::RefPtr< ScrollInfo > Gtk::ScrollInfo::create | ( |  | ) |
| static

Creates a new scroll info for scrolling an element into view.

Since gtkmm 4.12:

Returns
  A new scroll info.

## ◆ get_enable_horizontal()

bool Gtk::ScrollInfo::get_enable_horizontal | ( |  | ) | const

Checks if horizontal scrolling is enabled.

Since gtkmm 4.12:

Returns
  `true` if horizontal scrolling is enabled.

## ◆ get_enable_vertical()

bool Gtk::ScrollInfo::get_enable_vertical | ( |  | ) | const

Checks if vertical scrolling is enabled.

Since gtkmm 4.12:

Returns
  `true` if vertical scrolling is enabled.

## ◆ gobj() [1/2]

GtkScrollInfo * Gtk::ScrollInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GtkScrollInfo * Gtk::ScrollInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GtkScrollInfo * Gtk::ScrollInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator delete()

void Gtk::ScrollInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

## ◆ operator=()

ScrollInfo & Gtk::ScrollInfo::operator= | ( | const ScrollInfo & |  | ) |
| delete

## ◆ reference()

void Gtk::ScrollInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ set_enable_horizontal()

void Gtk::ScrollInfo::set_enable_horizontal | ( | bool | horizontal = `true` | ) |

Turns horizontal scrolling on or off.

Since gtkmm 4.12:

Parameters

  horizontal | If scrolling in the horizontal direction should happen.

## ◆ set_enable_vertical()

void Gtk::ScrollInfo::set_enable_vertical | ( | bool | vertical = `true` | ) |

Turns vertical scrolling on or off.

Since gtkmm 4.12:

Parameters

  vertical | If scrolling in the vertical direction should happen.

## ◆ unreference()

void Gtk::ScrollInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::ScrollInfo > wrap | ( | GtkScrollInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.